<?php

namespace App\Installation\Commands;

use Illuminate\Support\Facades\Storage;

class ComposerInstall extends CustomCommand
{
    public function __construct()
    {
        parent::__construct($this->calculateCommand());
    }

    private function calculateCommand(): string
    {
        if (Storage::disk('project')->exists('composer.phar')) {
            return 'php composer.phar install';
        }

        return 'composer install';
    }
}
